pragma Ada_95;
with System;
with System.Scalar_Values;
package ada_main is
   pragma Warnings (Off);

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 4.6" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_gen_codeset" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure Break_Start;
   pragma Import (C, Break_Start, "__gnat_break_start");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#dc981934#;
   pragma Export (C, u00001, "gen_codesetB");
   u00002 : constant Version_32 := 16#ba46b2cd#;
   pragma Export (C, u00002, "system__standard_libraryB");
   u00003 : constant Version_32 := 16#e03d1cd8#;
   pragma Export (C, u00003, "system__standard_libraryS");
   u00004 : constant Version_32 := 16#3ffc8e18#;
   pragma Export (C, u00004, "adaS");
   u00005 : constant Version_32 := 16#1ab07f3e#;
   pragma Export (C, u00005, "ada__command_lineB");
   u00006 : constant Version_32 := 16#df5044bd#;
   pragma Export (C, u00006, "ada__command_lineS");
   u00007 : constant Version_32 := 16#ddf28fde#;
   pragma Export (C, u00007, "systemS");
   u00008 : constant Version_32 := 16#72905399#;
   pragma Export (C, u00008, "system__secondary_stackB");
   u00009 : constant Version_32 := 16#c99ca870#;
   pragma Export (C, u00009, "system__secondary_stackS");
   u00010 : constant Version_32 := 16#0d2b82ae#;
   pragma Export (C, u00010, "system__parametersB");
   u00011 : constant Version_32 := 16#41af0c24#;
   pragma Export (C, u00011, "system__parametersS");
   u00012 : constant Version_32 := 16#30ec78bc#;
   pragma Export (C, u00012, "system__soft_linksB");
   u00013 : constant Version_32 := 16#1cf89dd7#;
   pragma Export (C, u00013, "system__soft_linksS");
   u00014 : constant Version_32 := 16#6c3a1ce8#;
   pragma Export (C, u00014, "ada__exceptionsB");
   u00015 : constant Version_32 := 16#1dcce5b2#;
   pragma Export (C, u00015, "ada__exceptionsS");
   u00016 : constant Version_32 := 16#95643e9a#;
   pragma Export (C, u00016, "ada__exceptions__last_chance_handlerB");
   u00017 : constant Version_32 := 16#03cf4fc2#;
   pragma Export (C, u00017, "ada__exceptions__last_chance_handlerS");
   u00018 : constant Version_32 := 16#a7343537#;
   pragma Export (C, u00018, "system__exception_tableB");
   u00019 : constant Version_32 := 16#7f3380ee#;
   pragma Export (C, u00019, "system__exception_tableS");
   u00020 : constant Version_32 := 16#ff3fa16b#;
   pragma Export (C, u00020, "system__htableB");
   u00021 : constant Version_32 := 16#322d2301#;
   pragma Export (C, u00021, "system__htableS");
   u00022 : constant Version_32 := 16#8b7dad61#;
   pragma Export (C, u00022, "system__string_hashB");
   u00023 : constant Version_32 := 16#fb6e574a#;
   pragma Export (C, u00023, "system__string_hashS");
   u00024 : constant Version_32 := 16#6a8a6a74#;
   pragma Export (C, u00024, "system__exceptionsB");
   u00025 : constant Version_32 := 16#78e365df#;
   pragma Export (C, u00025, "system__exceptionsS");
   u00026 : constant Version_32 := 16#b012ff50#;
   pragma Export (C, u00026, "system__img_intB");
   u00027 : constant Version_32 := 16#df296f1c#;
   pragma Export (C, u00027, "system__img_intS");
   u00028 : constant Version_32 := 16#ace32e1e#;
   pragma Export (C, u00028, "system__storage_elementsB");
   u00029 : constant Version_32 := 16#273ff246#;
   pragma Export (C, u00029, "system__storage_elementsS");
   u00030 : constant Version_32 := 16#dc8e33ed#;
   pragma Export (C, u00030, "system__tracebackB");
   u00031 : constant Version_32 := 16#bc755bab#;
   pragma Export (C, u00031, "system__tracebackS");
   u00032 : constant Version_32 := 16#b713d3a8#;
   pragma Export (C, u00032, "system__unsigned_typesS");
   u00033 : constant Version_32 := 16#907d882f#;
   pragma Export (C, u00033, "system__wch_conB");
   u00034 : constant Version_32 := 16#6219a1e3#;
   pragma Export (C, u00034, "system__wch_conS");
   u00035 : constant Version_32 := 16#22fed88a#;
   pragma Export (C, u00035, "system__wch_stwB");
   u00036 : constant Version_32 := 16#4f088de2#;
   pragma Export (C, u00036, "system__wch_stwS");
   u00037 : constant Version_32 := 16#5d4d477e#;
   pragma Export (C, u00037, "system__wch_cnvB");
   u00038 : constant Version_32 := 16#7ce72735#;
   pragma Export (C, u00038, "system__wch_cnvS");
   u00039 : constant Version_32 := 16#f77d8799#;
   pragma Export (C, u00039, "interfacesS");
   u00040 : constant Version_32 := 16#75729fba#;
   pragma Export (C, u00040, "system__wch_jisB");
   u00041 : constant Version_32 := 16#2895bc21#;
   pragma Export (C, u00041, "system__wch_jisS");
   u00042 : constant Version_32 := 16#ada34a87#;
   pragma Export (C, u00042, "system__traceback_entriesB");
   u00043 : constant Version_32 := 16#8fd3619f#;
   pragma Export (C, u00043, "system__traceback_entriesS");
   u00044 : constant Version_32 := 16#4f750b3b#;
   pragma Export (C, u00044, "system__stack_checkingB");
   u00045 : constant Version_32 := 16#7e5033f2#;
   pragma Export (C, u00045, "system__stack_checkingS");
   u00046 : constant Version_32 := 16#1358602f#;
   pragma Export (C, u00046, "ada__streamsS");
   u00047 : constant Version_32 := 16#07116dec#;
   pragma Export (C, u00047, "ada__tagsB");
   u00048 : constant Version_32 := 16#dfaa2f16#;
   pragma Export (C, u00048, "ada__tagsS");
   u00049 : constant Version_32 := 16#e6965fe6#;
   pragma Export (C, u00049, "system__val_unsB");
   u00050 : constant Version_32 := 16#a7bb3e93#;
   pragma Export (C, u00050, "system__val_unsS");
   u00051 : constant Version_32 := 16#46a1f7a9#;
   pragma Export (C, u00051, "system__val_utilB");
   u00052 : constant Version_32 := 16#d65f1ac1#;
   pragma Export (C, u00052, "system__val_utilS");
   u00053 : constant Version_32 := 16#b7fa72e7#;
   pragma Export (C, u00053, "system__case_utilB");
   u00054 : constant Version_32 := 16#70eeef56#;
   pragma Export (C, u00054, "system__case_utilS");
   u00055 : constant Version_32 := 16#ce51d708#;
   pragma Export (C, u00055, "ada__streams__stream_ioB");
   u00056 : constant Version_32 := 16#9fa60b9d#;
   pragma Export (C, u00056, "ada__streams__stream_ioS");
   u00057 : constant Version_32 := 16#7a48d8b1#;
   pragma Export (C, u00057, "interfaces__c_streamsB");
   u00058 : constant Version_32 := 16#40dd1af2#;
   pragma Export (C, u00058, "interfaces__c_streamsS");
   u00059 : constant Version_32 := 16#edd8bd7d#;
   pragma Export (C, u00059, "system__crtlS");
   u00060 : constant Version_32 := 16#595ba38f#;
   pragma Export (C, u00060, "system__communicationB");
   u00061 : constant Version_32 := 16#5fdc21f4#;
   pragma Export (C, u00061, "system__communicationS");
   u00062 : constant Version_32 := 16#5efa797c#;
   pragma Export (C, u00062, "system__file_ioB");
   u00063 : constant Version_32 := 16#d0858833#;
   pragma Export (C, u00063, "system__file_ioS");
   u00064 : constant Version_32 := 16#7cc77cc0#;
   pragma Export (C, u00064, "ada__finalizationB");
   u00065 : constant Version_32 := 16#01acb175#;
   pragma Export (C, u00065, "ada__finalizationS");
   u00066 : constant Version_32 := 16#01cb6d81#;
   pragma Export (C, u00066, "system__finalization_rootB");
   u00067 : constant Version_32 := 16#d3058e26#;
   pragma Export (C, u00067, "system__finalization_rootS");
   u00068 : constant Version_32 := 16#dbb36d26#;
   pragma Export (C, u00068, "system__finalization_implementationB");
   u00069 : constant Version_32 := 16#43e92261#;
   pragma Export (C, u00069, "system__finalization_implementationS");
   u00070 : constant Version_32 := 16#386436bc#;
   pragma Export (C, u00070, "system__restrictionsB");
   u00071 : constant Version_32 := 16#2510e693#;
   pragma Export (C, u00071, "system__restrictionsS");
   u00072 : constant Version_32 := 16#a6e358bc#;
   pragma Export (C, u00072, "system__stream_attributesB");
   u00073 : constant Version_32 := 16#e89b4b3f#;
   pragma Export (C, u00073, "system__stream_attributesS");
   u00074 : constant Version_32 := 16#b46168d5#;
   pragma Export (C, u00074, "ada__io_exceptionsS");
   u00075 : constant Version_32 := 16#a2230cb9#;
   pragma Export (C, u00075, "interfaces__cB");
   u00076 : constant Version_32 := 16#ebbc3ca7#;
   pragma Export (C, u00076, "interfaces__cS");
   u00077 : constant Version_32 := 16#8a12b272#;
   pragma Export (C, u00077, "interfaces__c__stringsB");
   u00078 : constant Version_32 := 16#739e0600#;
   pragma Export (C, u00078, "interfaces__c__stringsS");
   u00079 : constant Version_32 := 16#621b06ef#;
   pragma Export (C, u00079, "system__crtl__runtimeS");
   u00080 : constant Version_32 := 16#0951583d#;
   pragma Export (C, u00080, "system__os_libB");
   u00081 : constant Version_32 := 16#a6d80a38#;
   pragma Export (C, u00081, "system__os_libS");
   u00082 : constant Version_32 := 16#4cd8aca0#;
   pragma Export (C, u00082, "system__stringsB");
   u00083 : constant Version_32 := 16#6a18c51a#;
   pragma Export (C, u00083, "system__stringsS");
   u00084 : constant Version_32 := 16#02cd61e4#;
   pragma Export (C, u00084, "system__file_control_blockS");
   u00085 : constant Version_32 := 16#b90c86f6#;
   pragma Export (C, u00085, "ada__finalization__list_controllerB");
   u00086 : constant Version_32 := 16#b97dfd74#;
   pragma Export (C, u00086, "ada__finalization__list_controllerS");
   u00087 : constant Version_32 := 16#7a8f4ce5#;
   pragma Export (C, u00087, "ada__text_ioB");
   u00088 : constant Version_32 := 16#868a4fb3#;
   pragma Export (C, u00088, "ada__text_ioS");
   u00089 : constant Version_32 := 16#f6fdca1c#;
   pragma Export (C, u00089, "ada__text_io__integer_auxB");
   u00090 : constant Version_32 := 16#b9793d30#;
   pragma Export (C, u00090, "ada__text_io__integer_auxS");
   u00091 : constant Version_32 := 16#515dc0e3#;
   pragma Export (C, u00091, "ada__text_io__generic_auxB");
   u00092 : constant Version_32 := 16#a6c327d3#;
   pragma Export (C, u00092, "ada__text_io__generic_auxS");
   u00093 : constant Version_32 := 16#ef6c8032#;
   pragma Export (C, u00093, "system__img_biuB");
   u00094 : constant Version_32 := 16#71315be5#;
   pragma Export (C, u00094, "system__img_biuS");
   u00095 : constant Version_32 := 16#10618bf9#;
   pragma Export (C, u00095, "system__img_llbB");
   u00096 : constant Version_32 := 16#30f64b1b#;
   pragma Export (C, u00096, "system__img_llbS");
   u00097 : constant Version_32 := 16#9777733a#;
   pragma Export (C, u00097, "system__img_lliB");
   u00098 : constant Version_32 := 16#ccbdda0f#;
   pragma Export (C, u00098, "system__img_lliS");
   u00099 : constant Version_32 := 16#f931f062#;
   pragma Export (C, u00099, "system__img_llwB");
   u00100 : constant Version_32 := 16#999a688d#;
   pragma Export (C, u00100, "system__img_llwS");
   u00101 : constant Version_32 := 16#b532ff4e#;
   pragma Export (C, u00101, "system__img_wiuB");
   u00102 : constant Version_32 := 16#1f70dc77#;
   pragma Export (C, u00102, "system__img_wiuS");
   u00103 : constant Version_32 := 16#7993dbbd#;
   pragma Export (C, u00103, "system__val_intB");
   u00104 : constant Version_32 := 16#9557a5e1#;
   pragma Export (C, u00104, "system__val_intS");
   u00105 : constant Version_32 := 16#936e9286#;
   pragma Export (C, u00105, "system__val_lliB");
   u00106 : constant Version_32 := 16#47d6697e#;
   pragma Export (C, u00106, "system__val_lliS");
   u00107 : constant Version_32 := 16#68f8d5f8#;
   pragma Export (C, u00107, "system__val_lluB");
   u00108 : constant Version_32 := 16#cde184da#;
   pragma Export (C, u00108, "system__val_lluS");
   u00109 : constant Version_32 := 16#fd2ad2f1#;
   pragma Export (C, u00109, "gnatS");
   u00110 : constant Version_32 := 16#6f332493#;
   pragma Export (C, u00110, "system__assertionsB");
   u00111 : constant Version_32 := 16#7e566975#;
   pragma Export (C, u00111, "system__assertionsS");
   u00112 : constant Version_32 := 16#0936cab5#;
   pragma Export (C, u00112, "system__memoryB");
   u00113 : constant Version_32 := 16#177933cb#;
   pragma Export (C, u00113, "system__memoryS");
   u00114 : constant Version_32 := 16#dfb02f8b#;
   pragma Export (C, u00114, "system__scalar_valuesB");
   u00115 : constant Version_32 := 16#63568889#;
   pragma Export (C, u00115, "system__scalar_valuesS");

   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.command_line%s
   --  gnat%s
   --  interfaces%s
   --  system%s
   --  system.case_util%s
   --  system.case_util%b
   --  system.htable%s
   --  system.img_int%s
   --  system.img_int%b
   --  system.img_lli%s
   --  system.img_lli%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.restrictions%s
   --  system.restrictions%b
   --  system.standard_library%s
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  ada.exceptions%s
   --  system.soft_links%s
   --  system.unsigned_types%s
   --  system.img_biu%s
   --  system.img_biu%b
   --  system.img_llb%s
   --  system.img_llb%b
   --  system.img_llw%s
   --  system.img_llw%b
   --  system.img_wiu%s
   --  system.img_wiu%b
   --  system.val_int%s
   --  system.val_lli%s
   --  system.val_llu%s
   --  system.val_uns%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_uns%b
   --  system.val_llu%b
   --  system.val_lli%b
   --  system.val_int%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_cnv%s
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%b
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.io_exceptions%s
   --  ada.tags%s
   --  ada.streams%s
   --  interfaces.c%s
   --  interfaces.c.strings%s
   --  system.crtl.runtime%s
   --  system.stream_attributes%s
   --  system.stream_attributes%b
   --  system.assertions%s
   --  system.assertions%b
   --  system.communication%s
   --  system.communication%b
   --  system.memory%s
   --  system.memory%b
   --  system.standard_library%b
   --  system.scalar_values%s
   --  system.scalar_values%b
   --  system.secondary_stack%s
   --  interfaces.c.strings%b
   --  interfaces.c%b
   --  ada.tags%b
   --  system.soft_links%b
   --  ada.command_line%b
   --  system.secondary_stack%b
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  system.finalization_implementation%s
   --  system.finalization_implementation%b
   --  ada.finalization%s
   --  ada.finalization%b
   --  ada.finalization.list_controller%s
   --  ada.finalization.list_controller%b
   --  system.file_control_block%s
   --  ada.streams.stream_io%s
   --  system.file_io%s
   --  ada.streams.stream_io%b
   --  system.os_lib%s
   --  system.os_lib%b
   --  system.file_io%b
   --  system.traceback%s
   --  ada.exceptions%b
   --  system.traceback%b
   --  ada.text_io%s
   --  ada.text_io%b
   --  ada.text_io.generic_aux%s
   --  ada.text_io.generic_aux%b
   --  ada.text_io.integer_aux%s
   --  ada.text_io.integer_aux%b
   --  gen_codeset%b
   --  END ELABORATION ORDER

end ada_main;
